*** attach.orig	Tue Jun 18 17:00:54 2002
--- attach	Tue Jun 18 17:04:54 2002
***************
*** 128,138 ****
      }
  
      my $fileWikiUser = "";
      if( $fileName && %args ) {
!         $tmpl = &TWiki::Store::readTemplate( "attachagain" );
          $fileWikiUser = &TWiki::userToWikiName( $args{"user"} );
      } else {
!         $tmpl = &TWiki::Store::readTemplate( "attachnew" );
      }
      $tmpl =~ s/%ATTACHTABLE%/$atext/go;
      $tmpl =~ s/%FILEUSER%/$fileWikiUser/go;
--- 128,140 ----
      }
  
      my $fileWikiUser = "";
+     my $skin = $query->param( "skin" ) 
+                || &TWiki::Prefs::getPreferencesValue( "SKIN" );
      if( $fileName && %args ) {
!         $tmpl = &TWiki::Store::readTemplate( "attachagain", $skin );
          $fileWikiUser = &TWiki::userToWikiName( $args{"user"} );
      } else {
!         $tmpl = &TWiki::Store::readTemplate( "attachnew", $skin );
      }
      $tmpl =~ s/%ATTACHTABLE%/$atext/go;
      $tmpl =~ s/%FILEUSER%/$fileWikiUser/go;
*** changes.orig	Tue Jun 18 17:00:54 2002
--- changes	Tue Jun 18 17:03:48 2002
***************
*** 47,53 ****
          return;
      }
  
!     my $text = &TWiki::Store::readTemplate( "changes" );
      my $changes= &TWiki::Store::readFile( "$dataDir/$webName/.changes" );
     
      my @bar = ();
--- 47,55 ----
          return;
      }
  
!     my $skin = $query->param( "skin" ) 
!                || &TWiki::Prefs::getPreferencesValue( "SKIN" );
!     my $text = &TWiki::Store::readTemplate( "changes", $skin );
      my $changes= &TWiki::Store::readFile( "$dataDir/$webName/.changes" );
     
      my @bar = ();
*** mailnotify.orig	Tue Jun 18 17:00:54 2002
--- mailnotify	Tue Jun 18 17:17:02 2002
***************
*** 68,74 ****
      my $emailbody = "";
      my $topiclist = "";
  
!     my $text = &TWiki::Store::readTemplate( "changes" );
      my $changes= &TWiki::Store::readFile( "$dataDir/$webName/.changes" );
  
      my %exclude;
--- 68,75 ----
      my $emailbody = "";
      my $topiclist = "";
  
!     my $skin = &TWiki::Prefs::getPreferencesValue( "SKIN" );
!     my $text = &TWiki::Store::readTemplate( "changes", $skin );
      my $changes= &TWiki::Store::readFile( "$dataDir/$webName/.changes" );
  
      my %exclude;
***************
*** 159,165 ****
  
      my $notifylist = join ', ', @notifylist;
  
!     $text = &TWiki::Store::readTemplate( "mailnotify" );
      $text =~ s/%EMAILFROM%/$from/go;
      $text =~ s/%EMAILTO%/$notifylist/go;
      $text =~ s/%EMAILBODY%/$emailbody/go;
--- 160,166 ----
  
      my $notifylist = join ', ', @notifylist;
  
!     $text = &TWiki::Store::readTemplate( "mailnotify", $skin );
      $text =~ s/%EMAILFROM%/$from/go;
      $text =~ s/%EMAILTO%/$notifylist/go;
      $text =~ s/%EMAILBODY%/$emailbody/go;
*** oops.orig	Tue Jun 18 17:00:54 2002
--- oops	Tue Jun 18 17:14:29 2002
***************
*** 39,45 ****
      if( ! $tmplName ) {
          $tmplName = "oops";
      }
!     my $tmplData = &TWiki::Store::readTemplate( $tmplName );
      if( ! $tmplData ) {
          TWiki::writeHeader( $query );
          print "<html><body>\n"
--- 39,47 ----
      if( ! $tmplName ) {
          $tmplName = "oops";
      }
!     my $skin = $query->param( "skin" ) 
!                || &TWiki::Prefs::getPreferencesValue( "SKIN" );
!     my $tmplData = &TWiki::Store::readTemplate( $tmplName, $skin );
      if( ! $tmplData ) {
          TWiki::writeHeader( $query );
          print "<html><body>\n"
*** register.orig	Tue Jun 18 17:00:54 2002
--- register	Tue Jun 18 17:05:37 2002
***************
*** 133,139 ****
      }
  
      # send email confirmation
!     $text = &TWiki::Store::readTemplate( "registernotify" );
      $text =~ s/%FIRSTLASTNAME%/$firstLastName/go;
      $text =~ s/%WIKINAME%/$wikiName/go;
      $text =~ s/%EMAILADDRESS%/$emailAddress/go;
--- 133,141 ----
      }
  
      # send email confirmation
!     my $skin = $query->param( "skin" ) 
!                || &TWiki::Prefs::getPreferencesValue( "SKIN" );
!     $text = &TWiki::Store::readTemplate( "registernotify", $skin );
      $text =~ s/%FIRSTLASTNAME%/$firstLastName/go;
      $text =~ s/%WIKINAME%/$wikiName/go;
      $text =~ s/%EMAILADDRESS%/$emailAddress/go;
***************
*** 155,161 ****
  
      # create user topic if not exist
      if( ! &TWiki::Store::topicExists( $TWiki::mainWebname, $wikiName ) ) {
!         $text = &TWiki::Store::readTemplate( "register" );
          ( $before, $after) = split( /%FORMDATA%/, $text );
          for( $x = 0; $x < $formLen; $x++ ) {
              $name = $formDataName[$x];
--- 157,163 ----
  
      # create user topic if not exist
      if( ! &TWiki::Store::topicExists( $TWiki::mainWebname, $wikiName ) ) {
!         $text = &TWiki::Store::readTemplate( "register", $skin );
          ( $before, $after) = split( /%FORMDATA%/, $text );
          for( $x = 0; $x < $formLen; $x++ ) {
              $name = $formDataName[$x];
*** rename.orig	Tue Jun 18 17:00:54 2002
--- rename	Tue Jun 18 17:09:49 2002
***************
*** 43,49 ****
      my $breakLock = $query->param( 'breaklock' );
      my $theAttachment = $query->param( 'attachment' );
      my $confirm = $query->param( 'confirm' );
!     
      if( ! $theAttachment ) {
          $theAttachment = "";
      }
--- 43,51 ----
      my $breakLock = $query->param( 'breaklock' );
      my $theAttachment = $query->param( 'attachment' );
      my $confirm = $query->param( 'confirm' );
!     my $skin = $query->param( "skin" ) 
!               || &TWiki::Prefs::getPreferencesValue( "SKIN" );
!    
      if( ! $theAttachment ) {
          $theAttachment = "";
      }
***************
*** 76,87 ****
  
      # Has user selected new name yet?
      if( ! $newTopic || $confirm ) {
!        newTopicScreen( $oldWeb, $oldTopic, $newWeb, $newTopic, $theAttachment, $confirm );
         return;    
      } 
      
      if( ! $justChangeRefs ) {
!         if( ! getLocks( $oldWeb, $oldTopic, $newWeb, $newTopic, $theAttachment, $breakLock ) ) {
                return;
          }
      }
--- 78,89 ----
  
      # Has user selected new name yet?
      if( ! $newTopic || $confirm ) {
!        newTopicScreen( $oldWeb, $oldTopic, $newWeb, $newTopic, $theAttachment, $confirm, $skin );
         return;    
      } 
      
      if( ! $justChangeRefs ) {
!         if( ! getLocks( $oldWeb, $oldTopic, $newWeb, $newTopic, $theAttachment, $breakLock, $skin ) ) {
                return;
          }
      }
***************
*** 114,120 ****
  
      my $new_url = "";
      if( $lockFailure ) {
!        moreRefsToChange( $oldWeb, $oldTopic, $newWeb, $newTopic );
         return;
      } else {
         #redirect to new topic
--- 116,122 ----
  
      my $new_url = "";
      if( $lockFailure ) {
!        moreRefsToChange( $oldWeb, $oldTopic, $newWeb, $newTopic, $skin );
         return;
      } else {
         #redirect to new topic
***************
*** 303,309 ****
  #Return "" if can't get lock, otherwise "okay"
  sub getLocks
  {
!     my( $oldWeb, $oldTopic, $newWeb, $newTopic, $theAttachment, $breakLock ) = @_;
      
      my( $oldLockUser, $oldLockTime, $newLockUser, $newLockTime );
      
--- 305,312 ----
  #Return "" if can't get lock, otherwise "okay"
  sub getLocks
  {
!     my( $oldWeb, $oldTopic, $newWeb, $newTopic, $theAttachment, $breakLock,
!       $skin ) = @_;
      
      my( $oldLockUser, $oldLockTime, $newLockUser, $newLockTime );
      
***************
*** 328,334 ****
      }
      
      if( $oldLockUser || $newLockUser ) {
!        my $tmpl = &TWiki::Store::readTemplate( "oopslockedrename" );
         my $editLock = $TWiki::editLockTime / 60;
         if( $oldLockUser ) {
             $tmpl =~ s/%OLD_LOCK%/Source topic $oldWeb.$oldTopic is locked by $oldLockUser, lock expires in $oldLockTime minutes.<br \/>/go;
--- 331,337 ----
      }
      
      if( $oldLockUser || $newLockUser ) {
!        my $tmpl = &TWiki::Store::readTemplate( "oopslockedrename", $skin );
         my $editLock = $TWiki::editLockTime / 60;
         if( $oldLockUser ) {
             $tmpl =~ s/%OLD_LOCK%/Source topic $oldWeb.$oldTopic is locked by $oldLockUser, lock expires in $oldLockTime minutes.<br \/>/go;
***************
*** 363,369 ****
  # Display screen so user can decide on new web and topic.
  sub newTopicScreen
  {
!    my( $oldWeb, $oldTopic, $newWeb, $newTopic, $theAttachment, $confirm ) = @_;
     
     my $tmpl = "";
     
--- 366,372 ----
  # Display screen so user can decide on new web and topic.
  sub newTopicScreen
  {
!    my( $oldWeb, $oldTopic, $newWeb, $newTopic, $theAttachment, $confirm, $skin ) = @_;
     
     my $tmpl = "";
     
***************
*** 373,384 ****
     
     TWiki::writeHeader( $query );
     if( $theAttachment ) {
!      $tmpl = &TWiki::Store::readTemplate( "moveattachment" );
       $tmpl =~ s/%FILENAME%/$theAttachment/go;
     } elsif( $confirm ) {
!      $tmpl = &TWiki::Store::readTemplate( "renameconfirm" );
     } else {
!      $tmpl = &TWiki::Store::readTemplate( "rename" );
     }
     
     $tmpl = setVars( $tmpl, $oldTopic, $newWeb, $newTopic );
--- 376,387 ----
     
     TWiki::writeHeader( $query );
     if( $theAttachment ) {
!      $tmpl = &TWiki::Store::readTemplate( "moveattachment", $skin );
       $tmpl =~ s/%FILENAME%/$theAttachment/go;
     } elsif( $confirm ) {
!      $tmpl = &TWiki::Store::readTemplate( "renameconfirm", $skin );
     } else {
!      $tmpl = &TWiki::Store::readTemplate( "rename", $skin );
     }
     
     $tmpl = setVars( $tmpl, $oldTopic, $newWeb, $newTopic );
***************
*** 402,411 ****
   #=========================
   sub moreRefsToChange
   {
!     my( $oldWeb, $oldTopic, $newWeb, $newTopic ) = @_;
      
      TWiki::writeHeader( $query );
!     my $tmpl = &TWiki::Store::readTemplate( "renamerefs" );
      $tmpl = setVars( $tmpl, $oldTopic, $newWeb, $newTopic );
      $tmpl = &TWiki::handleCommonTags( $tmpl, $oldTopic, $oldWeb );
      $tmpl = &TWiki::getRenderedVersion( $tmpl );
--- 405,414 ----
   #=========================
   sub moreRefsToChange
   {
!     my( $oldWeb, $oldTopic, $newWeb, $newTopic, $skin ) = @_;
      
      TWiki::writeHeader( $query );
!     my $tmpl = &TWiki::Store::readTemplate( "renamerefs", $skin );
      $tmpl = setVars( $tmpl, $oldTopic, $newWeb, $newTopic );
      $tmpl = &TWiki::handleCommonTags( $tmpl, $oldTopic, $oldWeb );
      $tmpl = &TWiki::getRenderedVersion( $tmpl );
